### Hierarchy

- Source

## Index

### Constructors

- constructor

### Properties

- body
- name

### Methods

- setBody

## Constructors

### constructor

- new Source(name: string): Source

- - Defined in src/ast/source.ts:3

  #### Parameters

  - ##### name: string

  #### Returns Source

## Properties

### body

body: string = ""

- Defined in src/ast/source.ts:2

### name

name: string = "WIDL"

- Defined in src/ast/source.ts:3

## Methods

### setBody

- setBody(str: string): void

- - Defined in src/ast/source.ts:9

  #### Parameters

  - ##### str: string

  #### Returns void

Generated using TypeDoc